<template>
    <!-- Left Sidebar -->
    <aside id="rightsidebar" class="sidebar">
        <!-- User Info -->
        <div class="user-info">
            <!-----
            <div class="image">
                <img src="" width="48" height="48" alt="User" />
            </div>
            ------->
            <div class="info-container">
                <div class="name" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Admin</div>
                <div class="email">admin@gmail.com</div>
            </div>
        </div>
        <!-- #User Info -->
        <!-- Menu -->
        <div class="menu">
                <ul class="list">
                <li class="header">MAIN NAVIGATION</li>
                <li v-bind:class="activeStatus==='dashboard'?'active':''" @click="selection('dashboard')">
                    <a href="#">
                        <i class="material-icons">dashboard</i>
                        <span>Dashboard</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='logoName'?'active':''" @click="selection('logoName')">
                    <a href="#">
                        <i class="material-icons">alarm_add</i>
                        <span>Logo name</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='social'?'active':''" @click="selection('social')">
                    <a href="#">
                        <i class="material-icons">alarm_add</i>
                        <span>Social links</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='category'?'active':''" @click="selection('category')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">accessibility</i>
                        <span>Category</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='subCategory'?'active':''" @click="selection('subCategory')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">accessibility</i>
                        <span>Sub-Category</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='subSubCategory'?'active':''" @click="selection('subSubCategory')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">accessibility</i>
                        <span>Sub-Sub-Category</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='brand'?'active':''" @click="selection('brand')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">accessibility</i>
                        <span>Brand</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='size'?'active':''" @click="selection('size')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">accessibility</i>
                        <span>Size</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='color'?'active':''" @click="selection('color')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">accessibility</i>
                        <span>Color</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='product'?'active':''" @click="selection('product')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">accessibility</i>
                        <span>Product</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='about'?'active':''" @click="selection('about')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">info</i>
                        <span>About Us</span>
                    </a>
                </li>
                <li v-bind:class="activeStatus==='contact'?'active':''" @click="selection('contact')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">perm_contact_calendar</i>
                        <span>Contact Information</span>
                    </a>
                </li>
<!--                <li v-bind:class="activeStatus==='seo'?'active':''" @click="selection('seo')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">info</i>
                        <span>SEO</span>
                    </a>
                </li>-->
                <li class="header">System</li>
                <li v-bind:class="activeStatus==='passwordChange'?'active':''" @click="selection('passwordChange')">
                    <a href="javascript:void(0)">
                        <i class="material-icons">settings</i>
                        <span>Password Change</span>
                    </a>
                </li>
                <li>
                    <a class="dropdown-item" @click="logout" href="javascript:void(0);">
                        <i class="material-icons">input</i>
                        <span>Logout</span>
                    </a>
                </li>
            </ul>
        </div>
        <!-- #Menu -->
        <!-- Footer -->
        <div class="legal">
            <div class="copyright">
                &copy; 2021 <a href="javascript:void(0);">Admin</a>.
            </div>
            <div class="version">
                <b>Version: </b> 1.0.5
            </div>
        </div>
        <!-- #Footer -->
    </aside>
    <!-- #END# Left Sidebar -->
</template>

<script>
    export default {
        data(){
            return {
                activeStatus:'dashboard',
            }
        },
        methods:{
            selection(test){
                this.activeStatus=test;
                this.$emit('status',test);
            },
            logout(){
                axios.post('/logout').then((response)=>{
                   window.location='/';
                });
            }
        }
    }
</script>
